package net.pokeranalytics.android.model

import net.pokeranalytics.android.ui.view.RowRepresentable

enum class Limit : RowRepresentable {
	NO,
	POT,
	FIXED,
	SPREAD,
	MIXED;

	val shortName: String
		get() {
			return when (this) {
				NO -> "NL"
				POT -> "PL"
				FIXED -> "FL"
				MIXED -> "ML"
				SPREAD -> "SL"
			}
		}

	val longName: String
		get() {
			val limit = "Limit"
			return when (this) {
				NO -> "No $limit"
				POT -> "Pot $limit"
				FIXED -> "Fixed $limit"
				MIXED -> "Mixed $limit"
				SPREAD -> "Spread $limit"
			}
		}

	override fun getDisplayName(): String {
		return this.longName
	}
}